import { FilteredTableSource } from "./filtered-table-source";
import { Observable } from "rxjs";
import { QueryResult, TableFilter } from "@yukawa/chain-base-angular-domain";
/**
 * Data source for QueryResult objects
 * (including sorting, pagination, and filtering).
 */
export declare abstract class QueryTableSource<F extends TableFilter | any, E> extends FilteredTableSource<F, E> {
    /**
     * query table data
     */
    protected abstract queryTable(): Observable<QueryResult<E>>;
    protected reloadTable(): Observable<E[]>;
}
